[Top][All Lists]

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

[PATCH] libpthread: fix compatibility as addon with glibc 2.16

From: Pino Toscano
Subject: [PATCH] libpthread: fix compatibility as addon with glibc 2.16
Date: Fri, 16 Nov 2012 15:20:26 +0100
User-agent: KMail/1.13.7 (Linux/3.2.0-3-amd64; KDE/4.8.4; x86_64; ; )


since 2.16, glibc dropped support for any binary format other than ELF; 
the removal of the 'elf' variable causes libpthread.so to not link, 
since ld.so is not passed to the linking line. The attached patch 
defines elf to yes if not defined, allowing to keep compatibility also 
with glibc < 2.16.

Also, I'm slightly in doubt about the ChangeLog snippet, not totally 
sure about how to write it properly in this case.

Pino Toscano

Attachment: 0001-Set-elf-yes-if-not-defined-already.patch
Description: Text Data

Attachment: signature.asc
Description: This is a digitally signed message part.

reply via email to

[Prev in Thread] Current Thread [Next in Thread]